tw.com.prolific.driver.pl2303

## Enum PL2303Driver.FlowControl

- java.lang.Object
- - java.lang.Enum<PL2303Driver.FlowControl>
  - - tw.com.prolific.driver.pl2303.PL2303Driver.FlowControl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PL2303Driver.FlowControl>
  Enclosing class:
    PL2303Driver<UsbConfiguration>

      public static enum PL2303Driver.FlowControl
      extends java.lang.Enum<PL2303Driver.FlowControl>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DTRDSR`
    `OFF`
    `RFRCTS`
    `RTSCTS`
    `RTSCTSDTRDSR`
    `XONXOFF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PL2303Driver.FlowControl` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PL2303Driver.FlowControl[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final PL2303Driver.FlowControl OFF

    - #### RTSCTS

          public static final PL2303Driver.FlowControl RTSCTS

    - #### RFRCTS

          public static final PL2303Driver.FlowControl RFRCTS

    - #### DTRDSR

          public static final PL2303Driver.FlowControl DTRDSR

    - #### RTSCTSDTRDSR

          public static final PL2303Driver.FlowControl RTSCTSDTRDSR

    - #### XONXOFF

          public static final PL2303Driver.FlowControl XONXOFF

  - ### Method Detail

    - #### values

          public static PL2303Driver.FlowControl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PL2303Driver.FlowControl c : PL2303Driver.FlowControl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PL2303Driver.FlowControl valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null